buildr-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Antoine Toulme (JIRA)" <j...@apache.org>
Subject [jira] Commented: (BUILDR-233) can't specify version in artifact namespace
Date Sun, 28 Feb 2010 06:51:05 GMT

    [ https://issues.apache.org/jira/browse/BUILDR-233?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12839370#action_12839370
] 

Antoine Toulme commented on BUILDR-233:
---------------------------------------

Looks invalid to me, the correct code would be:

define 'foo' do
  artifact_ns do |ns|
    ns.bar = 'a:b:jar:1.0'
    ns.bar = 'a:b:jar:2.0'
  end
  compile.with :bar
end

Eventually, change the version only using 
ns.bar.version = '2.0'

> can't specify version in artifact namespace 
> --------------------------------------------
>
>                 Key: BUILDR-233
>                 URL: https://issues.apache.org/jira/browse/BUILDR-233
>             Project: Buildr
>          Issue Type: Bug
>    Affects Versions: 1.3.2
>            Reporter: Ittay Dror
>
> define 'foo' do
>   artifact_ns do |ns|
>     ns.bar = 'a:b:jar:1.0'
>     ns.bar = '2.0'
>   end
>   compile.with :bar
> end
>  > buildr
> (in /tmp, development)
> Buildr aborted!
> Missing group identifier for {:version=>"2.0"}

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message